

# Struct dp\_writer\_t



[**ClassList**](annotated.md) **>** [**dp\_writer\_t**](structdp__writer__t.md)





* `#include <dp_state.h>`





















## Public Attributes

| Type | Name |
| ---: | :--- |
|  uint8\_t \* | [**buf**](#variable-buf)  <br> |
|  size\_t | [**cap**](#variable-cap)  <br> |
|  int | [**err**](#variable-err)  <br> |
|  size\_t | [**off**](#variable-off)  <br> |












































## Public Attributes Documentation




### variable buf 

```C++
uint8_t* dp_writer_t::buf;
```




<hr>



### variable cap 

```C++
size_t dp_writer_t::cap;
```




<hr>



### variable err 

```C++
int dp_writer_t::err;
```




<hr>



### variable off 

```C++
size_t dp_writer_t::off;
```




<hr>

------------------------------
The documentation for this class was generated from the following file `native/inc/dp_state.h`

